/**
 * Generates the JavaScript code for a specified provider or a custom script.
 *
 * @param providerName - The name of the third-party provider (e.g., "helpscout"), or "custom" for raw scripts.
 * @param projectIdOrScript - The project ID for a known provider or a raw JavaScript string for custom scripts.
 * @returns The JavaScript code as a string for embedding into the document.
 * @throws Error if the provider is unsupported or missing in the `providerScripts` mapping.
 */
declare function getProviderScript(providerName: string, projectIdOrScript: string): string;

export { getProviderScript };
