/**
 * Dynamically injects JavaScript code into the <head> section of the document.
 *
 * @param providerScripts - An array of strings where each string contains a provider's JavaScript code.
 *
 * This hook adds the script content to the document on mount and cleans it up on unmount.
 */
declare function useDynamicScripts(providerScripts: string[]): void;

export { useDynamicScripts };
