"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/useDynamicScripts.ts
var useDynamicScripts_exports = {};
__export(useDynamicScripts_exports, {
  useDynamicScripts: () => useDynamicScripts
});
module.exports = __toCommonJS(useDynamicScripts_exports);
var import_react = require("react");
var injectedScripts = /* @__PURE__ */ new Set();
function useDynamicScripts(providerScripts) {
  (0, import_react.useEffect)(() => {
    providerScripts.forEach((scriptContent) => {
      if (!scriptContent || injectedScripts.has(scriptContent) || !document) {
        return;
      }
      const script = document.createElement("script");
      script.setAttribute(
        "id",
        `ac-dynamic-script-${injectedScripts.size + 1}`
      );
      script.type = "text/javascript";
      script.async = true;
      script.text = scriptContent;
      document.head.appendChild(script);
    });
    return () => {
      providerScripts.forEach((_, index) => {
        const script = document.head.querySelector(
          `script[data-dynamic="true"]:nth-of-type(${index + 1})`
        );
        if (script) script.remove();
      });
    };
  }, [providerScripts]);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  useDynamicScripts
});
//# sourceMappingURL=useDynamicScripts.js.map