// src/useDynamicScripts.ts
import { useEffect } from "react";
var injectedScripts = /* @__PURE__ */ new Set();
function useDynamicScripts(providerScripts) {
  useEffect(() => {
    providerScripts.forEach((scriptContent) => {
      if (!scriptContent || injectedScripts.has(scriptContent) || !document) {
        return;
      }
      const script = document.createElement("script");
      script.setAttribute(
        "id",
        `ac-dynamic-script-${injectedScripts.size + 1}`
      );
      script.type = "text/javascript";
      script.async = true;
      script.text = scriptContent;
      document.head.appendChild(script);
    });
    return () => {
      providerScripts.forEach((_, index) => {
        const script = document.head.querySelector(
          `script[data-dynamic="true"]:nth-of-type(${index + 1})`
        );
        if (script) script.remove();
      });
    };
  }, [providerScripts]);
}
export {
  useDynamicScripts
};
//# sourceMappingURL=useDynamicScripts.mjs.map